Java was started but returned exit code=13 问题解决,最好的解决方法,分析各种不成功的原因

Java was started but returned exit code=13 问题解决,最好的解决方法,分析各种不成功的原因

最近开始研究源代码,安装了adt-bundle-windows-x86_64-20140321,因为我的系统之前就安装了1.8的jdk,所以我就不在安装了。当我解压的时候出现了一个错误,Java was started but returned exit code=13           &...

最近开始研究源代码,安装了adt-bundle-windows-x86_64-20140321,因为我的系统之前就安装了1.8的jdk,所以我就不在安装了。当我解压的时候出现了一个错误,Java was started but returned exit code=13

java 错误 code13

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

我尝试了许多方法,比如在网上说的在eclipse.ini中的末尾增加–add-modules=ALL-SYSTEM参数,显然是无法使用的,因为这个版本的自带这个参数,当然对于2014年–2017年的版本是不带这些参数的。
问题就只有一个了JDK版本的问题了。
首先我查看了官方的文档,发现最低支持是1.8的jdk,然后我就到官方下载了一个开发版的jdk-8u181-windows-x64安装,因为项目的原因我也不能直接使用一个jdk,所以我只能eclipse.ini中设置jdk的版本了,保证eplise使用的jdk版本
加入的参数是(路径要换成自己jdk安装的目录,定位文件是同一个jvm.dll)
-vm
E:\javatool\jdk1.8.0_181\jre\bin\server\jvm.dll
java 错误 code13

 

 

 

 

 

 

 

 

 

 

 
保存后启动eplise就正常了

针对网上一些方法,我这里做个错误原因的小结:
第一:新版的eplise的兼容性(主要是2017年版本和2016年版本的)
打开eplise的安装目录下的eclipse.ini中的末尾增加–add-modules=ALL-SYSTEM参数

第二:jdk的破坏(隔天或者杀毒误删除的问题导致jdk不完整)
这中情况是针对一直使用eplise的时候出现突然出现这个问题,建议你进行重新安装jdk,安装目录要保持一直。

第三:要jdk和eplise的版本要一致
如果你的系统是32位的就一致用32位的jdk和eplise
如果你的系统是64位的就一致用64位的jdk和eplise
jdk的版本查看,在cmd中 输入 java -version 查看版本信息如果信息中有64-Bit就一定是64位的jbk
没有就默认是32位的jdk

java 错误 code13

 

 

 

 

 

 

eplise的版本查看:打开安装目录的eclipse.ini文件,只要win32.x86_**64**_1.1.400 中64就是64位系统,说明该eplise的版本就是64位的

版本对应上,就没问题了,解决的问题留着~避免下次需要解决忘记了

没有账号? 注册  忘记密码?